Subject: bug#47064: [racket-users] bytevector-uncompress: internal error uncompressing

From: Philip McGrath <[email-masked]>
Date: Mon, 15 Mar 2021 17:38:17 -0400

Jack, thanks for the pointer: I hadn't noticed this earlier.

On 3/15/21 12:49 AM, Jack Hill wrote:
> ```
> $bytevector-uncompress: internal error uncompressing 
> #"\0\0\0\0chez\310\224\206:\r()#\201\256R-d\205\233\24\363\5\20\201P\6A\v\300\0\16\f\6\31\2\f\6\f&H\275\0\1\0\362\bA\377e\0\1\0C\6A\21\3\v\300\0\201\265!\f\6\n\0\a\1\35\0\1+\0\360\27\201\375\300\0\0\0\17\205\210Z\0\0M\215\245\b\4\0\0M9fH\17\206fZ\0\0I\2...
>   context...:
>    body of 
> "/gnu/store/bbnhjamch9125c412bl7ybf28a0jxrkd-racket-8.0/share/racket/pkgs/gui-lib/mred/private/wx/gtk/utils.rkt"
>    body of 
> "/gnu/store/bbnhjamch9125c412bl7ybf28a0jxrkd-racket-8.0/share/racket/pkgs/gui-lib/mred/private/wx/platform.rkt"
> ```

This appears to be an error uncompressing Racket's compiled code—whether 
generated by the Racket layer or the Chez Scheme layer, I'm not sure. 
The stack trace is pointing to the module `mred/private/wx/gtk/utils`, 
which is here: 
https://github.com/racket/gui/blob/master/gui-lib/mred/private/wx/gtk/utils.rkt

At first glance, the most unusual-looking thing about that module is the 
use of `(only-in '#%foreign ctype-c->scheme)` … but it could also be 
something else altogether. I'll try to investigate further, but thoughts 
from others would be very welcome!

-Philip